org.keycloak.dom.saml.v2.protocol

## Class NameIDMappingRequestType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.NameIDMappingRequestType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class NameIDMappingRequestType
      extends RequestAbstractType

  Java class for NameIDMappingRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NameIDMappingRequestType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}BaseID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}NameIDPolicy"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseIDAbstractType` | `baseID`
    `protected EncryptedElementType` | `encryptedID`
    `protected NameIDType` | `nameID`
    `protected NameIDPolicyType` | `nameIDPolicy`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIDMappingRequestType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseIDAbstractType` | `getBaseID()` Gets the value of the baseID property.
    `EncryptedElementType` | `getEncryptedID()` Gets the value of the encryptedID property.
    `NameIDType` | `getNameID()` Gets the value of the nameID property.
    `NameIDPolicyType` | `getNameIDPolicy()` Gets the value of the nameIDPolicy property.
    `void` | `setBaseID(BaseIDAbstractType value)` Sets the value of the baseID property.
    `void` | `setEncryptedID(EncryptedElementType value)` Sets the value of the encryptedID property.
    `void` | `setNameID(NameIDType value)` Sets the value of the nameID property.
    `void` | `setNameIDPolicy(NameIDPolicyType value)` Sets the value of the nameIDPolicy property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseID

          protected BaseIDAbstractType baseID

    - #### nameID

          protected NameIDType nameID

    - #### encryptedID

          protected EncryptedElementType encryptedID

    - #### nameIDPolicy

          protected NameIDPolicyType nameIDPolicy

  - ### Constructor Detail

    - #### NameIDMappingRequestType

          public NameIDMappingRequestType(String id,
                                          XMLGregorianCalendar instant)

  - ### Method Detail

    - #### getBaseID

          public BaseIDAbstractType getBaseID()

      Gets the value of the baseID property.
      Returns:
        possible object is `BaseIDAbstractType`

    - #### setBaseID

          public void setBaseID(BaseIDAbstractType value)

      Sets the value of the baseID property.
      Parameters:
        `value` - allowed object is `BaseIDAbstractType`

    - #### getNameID

          public NameIDType getNameID()

      Gets the value of the nameID property.
      Returns:
        possible object is `NameIDType`

    - #### setNameID

          public void setNameID(NameIDType value)

      Sets the value of the nameID property.
      Parameters:
        `value` - allowed object is `NameIDType`

    - #### getEncryptedID

          public EncryptedElementType getEncryptedID()

      Gets the value of the encryptedID property.
      Returns:
        possible object is `EncryptedElementType`

    - #### setEncryptedID

          public void setEncryptedID(EncryptedElementType value)

      Sets the value of the encryptedID property.
      Parameters:
        `value` - allowed object is `EncryptedElementType`

    - #### getNameIDPolicy

          public NameIDPolicyType getNameIDPolicy()

      Gets the value of the nameIDPolicy property.
      Returns:
        possible object is `NameIDPolicyType`

    - #### setNameIDPolicy

          public void setNameIDPolicy(NameIDPolicyType value)

      Sets the value of the nameIDPolicy property.
      Parameters:
        `value` - allowed object is `NameIDPolicyType`

Copyright © 2016 JBoss by Red Hat. All rights reserved.